//
//  ClickRateHttpCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2020/1/15.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "ClickRateHttpCmd.h"
#import "ClickRateHttpResult.h"

static NSString *kActionUrl1 = @"/appclick/save";

@implementation ClickRateHttpCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[ClickRateHttpCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[ClickRateHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
NSString * _Nonnull const kHttpClickRateHttpCmd_devicenumber = @"devicenumber";
NSString * _Nonnull const kHttpClickRateHttpCmd_companyname = @"companyname";
NSString * _Nonnull const kHttpClickRateHttpCmd_userid = @"userid";
NSString * _Nonnull const kHttpClickRateHttpCmd_name = @"name";
NSString * _Nonnull const kHttpClickRateHttpCmd_belong = @"belong";
NSString * _Nonnull const kHttpClickRateHttpCmd_scope = @"scope";
NSString * _Nonnull const kHttpClickRateHttpCmd_type = @"type";
